All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
invalid_argument_vec.hpp File Reference
`#include <stan/math/prim/scal/err/invalid_argument.hpp>`
`#include <stan/math/prim/scal/meta/value_type.hpp>`
`#include <stan/math/prim/scal/meta/error_index.hpp>`
`#include <stan/math/prim/scal/meta/get.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
void | stan::math::invalid_argument_vec (const char *function, const char *name, const T &y, const size_t i, const char *msg1, const char *msg2)
| Throw an invalid argument exception with a consistently formatted message. More...
template<typename T >
void | stan::math::invalid_argument_vec (const char *function, const char *name, const T &y, const size_t i, const char *msg)
| Throw an invalid argument exception with a consistently formatted message. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.